Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.metadata
Interface IEssDimension

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssDimension
extends IEssExtendedObject, IEssProperties

The IEssDimension is the dimension.

Nested Class Summary
`static class` | `IEssDimension.EEssAttributeDataType` EEssAttributeDataType class is the enumeration of attribute member or dimension data types.
`static class` | `IEssDimension.EEssDimensionCategory` EEssDimensionCategory class is the dimension category.
`static class` | `IEssDimension.EEssDimensionStorageCategory` EEssDimensionStorageCategory class is the Dimension storage category.
`static class` | `IEssDimension.EEssDimensionStorageType` EEssDimensionStorageType class is the dimension storage type.
`static class` | `IEssDimension.EEssDimensionTag` EEssDimensionTag class is the enumeration of dimension tags.

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_ACTUAL_SIZE`
`static int` | `PROP_DECLARED_SIZE`
`static int` | `PROP_NAME`
`static int` | `PROP_NUMBER`
`static int` | `PROP_TAG`
`static int` | `PROP_TYPE`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `clearGenerationName(int genNum)` Clears the name of a specific generation.
`void` | `clearLevelName(int levelNum)` Clears the name of a specific level.
`void` | `delete(java.lang.String dataMbrName)` Delete the dimension from the outline.
`int` | `getActualSize()` Gets the actual dimension size.
`IEssDimension.EEssAttributeDataType` | `getAttributeDimensionDataType()` Gets the attribute dimension data type.
`IEssDimension.EEssDimensionCategory` | `getCategory()` Gets the dimension category.
`int` | `getDeclaredSize()` Gets the declared dimension size.
`java.lang.String` | `getDescription()` Gets the dimension description.
`int` | `getDimensionNumber()` Gets the dimension number.
`IEssMember` | `getDimensionRootMember()` Gets the root member for this dimension.
`java.lang.String` | `getGenerationName(int genNum)` Gets the generation name for the specified generation number.
`IEssIterator` | `getGenerations()` Gets all the generations in this dimension.
`java.lang.String` | `getLevelName(int levelNum)` Gets the level name for the specified level number.
`IEssIterator` | `getLevels()` Gets all the levels in this dimension.
`java.lang.String` | `getName()` Gets the dimension name.
`IEssDimension.EEssDimensionStorageType` | `getStorageType()` Gets the dimension storage type.
`IEssDimension.EEssDimensionTag` | `getTag()` Gets the dimension tag.
`java.lang.String[]` | `getUDAs()` Gets all the User Defined Attributes (used by one or more members) in this dimension.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `setAttributeDimensionDataType(IEssDimension.EEssAttributeDataType attrDimDataType)` Gets the attribute dimension data type.
`void` | `setCategory(IEssDimension.EEssDimensionCategory dimCategory)` Sets the dimension category.
`void` | `setDescription(java.lang.String desc)` Sets the dimension description for standard.
`void` | `setGenerationName(int genNum, java.lang.String genName)` Sets the generation name for the specified generation number.
`void` | `setLevelName(int levelNum, java.lang.String levelName)` Sets the level name for the specified level number.
`void` | `setStorageType(IEssDimension.EEssDimensionStorageType storageType)` Sets the dimension storage type.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_NUMBER

    public static final int PROP_NUMBER

See Also:
  Constant Field Values

### PROP_TYPE

    public static final int PROP_TYPE

See Also:
  Constant Field Values

### PROP_TAG

    public static final int PROP_TAG

See Also:
  Constant Field Values

### PROP_DECLARED_SIZE

    public static final int PROP_DECLARED_SIZE

See Also:
  Constant Field Values

### PROP_ACTUAL_SIZE

    public static final int PROP_ACTUAL_SIZE

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the dimension name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The dimension name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the dimension description. This method is effective only for standard/base dimension. For attribute dimension, this method always returns "";

  Returns:
    The dimension description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the dimension description for standard. This method is effective only for standard/base dimension, and has no effect for the attribute dimension. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The dimension description.
  Throws:
    `EssException` - if an error occurs.

### getDimensionNumber

    public int getDimensionNumber()
                           throws EssException

  Gets the dimension number.

  Returns:
    The dimension number.
  Throws:
    `EssException` - if an error occurs.

### getStorageType

    public IEssDimension.EEssDimensionStorageType getStorageType()
                                                          throws EssException

  Gets the dimension storage type.

  Returns:
    The dimension storage type.
  Throws:
    `EssException` - if an error occurs.

### setStorageType

    public void setStorageType(IEssDimension.EEssDimensionStorageType storageType)
                        throws EssException

  Sets the dimension storage type. The change will become effective after you invoke updatePropertyValues().

  Throws:
    `EssException` - if an error occurs.

### getCategory

    public IEssDimension.EEssDimensionCategory getCategory()
                                                    throws EssException

  Gets the dimension category.

  Returns:
    The dimension category.
  Throws:
    `EssException` - if an error occurs.

### setCategory

    public void setCategory(IEssDimension.EEssDimensionCategory dimCategory)
                     throws EssException

  Sets the dimension category. The change will become effective after you invoke updatePropertyValues().

  Returns:
    param dimCategory The dimension category.
  Throws:
    `EssException` - if an error occurs.

### getAttributeDimensionDataType

    public IEssDimension.EEssAttributeDataType getAttributeDimensionDataType()
                                                                      throws EssException

  Gets the attribute dimension data type. This method is to be used only for attribute dimension (i.e for EEssDimensionCategory == ATTRIBUTE).

  Returns:
    The attribute dimension data type.
  Throws:
    `EssException` - if an error occurs.

### setAttributeDimensionDataType

    public void setAttributeDimensionDataType(IEssDimension.EEssAttributeDataType attrDimDataType)
                                       throws EssException

  Gets the attribute dimension data type. This method is to be used only for attribute dimension (i.e for EEssDimensionCategory == ATTRIBUTE). The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `attrDimDataType` - The attribute dimension data type.
  Throws:
    `EssException` - if an error occurs.

### getTag

    public IEssDimension.EEssDimensionTag getTag()
                                          throws EssException

  Gets the dimension tag.

  Returns:
    The dimension tag.
  Throws:
    `EssException` - if an error occurs.

### getDeclaredSize

    public int getDeclaredSize()
                        throws EssException

  Gets the declared dimension size.

  Returns:
    The declared dimension size.
  Throws:
    `EssException` - if an error occurs.

### getActualSize

    public int getActualSize()
                      throws EssException

  Gets the actual dimension size.

  Returns:
    The actual dimension size.
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete(java.lang.String dataMbrName)
                throws EssException

  Delete the dimension from the outline. The method also specifies a member of the dimension being deleted from which to keep data when the outline is restructured.

  Parameters:
    `dataMbrName` - The member name in the dimension to be deleted from which data will be saved when the outline is restructured. If this field is null, the dimension is used.
  Throws:
    `EssException` - if an error occurs.

### getGenerationName

    public java.lang.String getGenerationName(int genNum)
                                       throws EssException

  Gets the generation name for the specified generation number.

  Parameters:
    `genNum` - The number of the generation for which to get a name. The dimension itself is generation 1.
  Returns:
    The generation name.
  Throws:
    `EssException` - if an error occurs.

### setGenerationName

    public void setGenerationName(int genNum,
                                  java.lang.String genName)
                           throws EssException

  Sets the generation name for the specified generation number.

  Parameters:
    `genNum` - The number of the generation for which to set a name. The dimension itself is generation 1.
    `genName` - The name to give the generation.
  Throws:
    `EssException` - if an error occurs.

### clearGenerationName

    public void clearGenerationName(int genNum)
                             throws EssException

  Clears the name of a specific generation.

  Parameters:
    `genNum` - The number of the generation for which to delete name.
  Throws:
    `EssException` - if an error occurs.

### getGenerations

    public IEssIterator getGenerations()
                                throws EssException

  Gets all the generations in this dimension.

  Returns:
    The generations.
  Throws:
    `EssException` - if an error occurs.

### getLevelName

    public java.lang.String getLevelName(int levelNum)
                                  throws EssException

  Gets the level name for the specified level number.

  Parameters:
    `levelNum` - The number of the level for which to get a name. The leaf members are level 0.
  Returns:
    The level name.
  Throws:
    `EssException` - if an error occurs.

### setLevelName

    public void setLevelName(int levelNum,
                             java.lang.String levelName)
                      throws EssException

  Sets the level name for the specified level number.

  Parameters:
    `levelNum` - The number of the level for which to set a name. The leaf members are level 0.
    `levelName` - The name to give the level.
  Throws:
    `EssException` - if an error occurs.

### clearLevelName

    public void clearLevelName(int levelNum)
                        throws EssException

  Clears the name of a specific level.

  Parameters:
    `levelNum` - The number of the level for which to delete name.
  Throws:
    `EssException` - if an error occurs.

### getLevels

    public IEssIterator getLevels()
                           throws EssException

  Gets all the levels in this dimension.

  Returns:
    The levels.
  Throws:
    `EssException` - if an error occurs.

### getUDAs

    public java.lang.String[] getUDAs()
                               throws EssException

  Gets all the User Defined Attributes (used by one or more members) in this dimension. NOTE: This method will work only if this dimension object is obtained via IEssCube.openOutline(), and will not work if this dimension object is obtained via IEssCube.openMemberSelection().

  Returns:
    The User Defined Attributes. null if there are no attributes.
  Throws:
    `EssException` - if an error occurs.

### getDimensionRootMember

    public IEssMember getDimensionRootMember()
                                      throws EssException

  Gets the root member for this dimension.

  Returns:
    The dimension root member.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD